Retrieve Target
curl --request GET \
--url https://api.example.com/api/v1/targets/{target_id}import requests
url = "https://api.example.com/api/v1/targets/{target_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/targets/{target_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"target_url": "<string>",
"organization_id": "<string>",
"campaign_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"execution_minutes": 123,
"input_data": {},
"output_data": {},
"status": "Pending",
"resolution": "retrieved",
"category": "GOOD",
"subcategory": "PROVIDER",
"call_log_ids": [
123
],
"last_call_date": "2023-11-07T05:31:56Z",
"phone_number": "<string>",
"fax_links": [
"<string>"
],
"payor_api_data": {},
"external_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"retries": 123,
"scheduled_time": "2023-11-07T05:31:56Z",
"categorization": {},
"outcome": "<string>",
"statistics": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Targets
Retrieve Target
GET
/
api
/
v1
/
targets
/
{target_id}
Retrieve Target
Path Parameters
The ID of the target to get the required variables from.
Response
Successful Response
Available options:
Pending, Scheduled, In Progress, Post-processing, Finished, To review, Failed, Waiting, SMS Scheduled resolution
CampaignTargetPayorResolution · enum<string>CampaignTargetPatientResolution · enum<string>
required
Available options:
retrieved, not_retrieved category
PayorCallCategory · enum<string>PatientCallCategory · enum<string>ProviderCallCategory · enum<string>PatientIncomingCallCategory · enum<string>PatientIncomingSchedulingCallCategory · enum<string>
required
Available options:
GOOD, NO_RESPONSE, TRANSFER, TRANSFER_FAILED, VOICEMAIL, SERVICE_NOT_AVAILABLE, HUMAN_ONLY, AFTER_HOURS, CLOSED_FOR_HOLIDAYS, IVR_LOOP, INPUT_DATA_ISSUE, WRONG_PHONE_NUMBER, NOT_FOUND, UNPROCESSABLE_BY_PHONE, DISCONNECTED, NOT_ALL_DATA_POINTS_RETRIEVED, MEMBER_CONSENT_REQUIRED, SLA_EXPIRED, PAYOR_NOT_SUPPORTED, NO_OPERATING_HOURS subcategory
NotFoundSubCategory · enum<string>TransferSubCategory · enum<string>IVRLoopSubCategory · enum<string>ServiceNotAvailableSubCategory · enum<string>UnprocessableByPhoneSubCategory · enum<string>InputDataIssueSubCategory · enum<string>HumanOnlySubcategory · enum<string>PayorCallCategory · enum<string>Subcategory · string
required
Available options:
PROVIDER, MEMBER, FACILITY, REQUEST, OTHER